=== debian/changelog ===
piuparts (1.1.0~ubuntu1) eoan; urgency=medium

  * Set GOCACHE to a safely writable directory during build as the cache is
    mandatory with Go 1.12. 

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 26 Sep 2019 23:12:00 -0700

piuparts (1.1.0~build1) eoan; urgency=medium

  * Upload from current git trunk to move to python3 and fix build failure
    due to build-dependency on removed python-mox3.

  [ Herbert Parentes Fortes Neto ]
  * piuparts.py: use Popen with universal_newlines=True. Py2, Py3 compatible.
  * New mail template: add bug-templates/obsolete_conffiles.mail.

  [ Thomas Goirand ]
  * Switch to package to Python 3:
    - Replaced python- with python3- in debian/control.
    - Removed all python2 (>= 2.7) by a ${python3:Depends}.
    - Replaced python2 by python3 in debian/rules.
    - Replaced dh_python2 stuff by dh_python3 in debian/rules.
    - Patched piupartslib/conf.py, piupartslib/dependencyparser.py,
      piupartslib/packagesdb.py, piupartslib/pkgsummary.py, tests/unittests.py
      so that they are Python 3 compatible.
    - Removed python-lzma (build-)depends as it's in standard in Py 3.
    - Add python3-six as (build-)depends.
    - Fix Makefile to use python3 and not python2.
    - d/piuparts-common.install: switch to python 3.
    - d/rules: remove all __pycache__ folder before proceeding to install.
    - Add --shebang=/usr/bin/python3 when calling dh_python3.
    - Do not use -N piuparts-master -N piuparts-slave when calling dh_python3
      for the 2nd time, so that it correctly adds the interpreter as depends.
    - Lintian overrides "python-script-but-no-python-dep": that's ok, because
      piuparts-common already has the dependency.

  [ Mattia Rizzolo ]
  * piuparts-slave.py: port to python3.

  [ Holger Levsen ]
  * Bump version number to 1.1.x due to the switch to python3.
  * piuparts.conf-template.pejacevic:
    - also test bullseye and bullseye-rcmd. Closes: #933061.
    - increase precedence values for oldstable and older.
  * docs/README_server.txt, docs/piuparts/piuparts.1.txt and piuparts.py:
    update examples for buster being stable and bullseye being the new
    testing.
  * Use /usr/bin/python3 everywhere.
  * Bump standards version to 4.4.0, no changes needed.
  * d/tests: Add simple smoke-test.
  * htdocs/news.tpl: mention new suites bullseye and bullseye-rcmd being
    tested.

  [ David Prévot ]
  * Use the same favicon as the one from www.d.o.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 26 Sep 2019 16:41:30 -0700

piuparts (1.0.1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * piuparts.conf, distros.conf: Update for buster release.
  * piuparts.py:
    - Add '--max-command-output-size' option to allow overriding the default
      of 8 MB for debugging runs.
    - Run pre_remove scripts before computing packages to be removed.
    - Fix spurious failure to remove packages with names ending with '+'.
  * piupartslib/packagesdb.py:
    - Remove stale .kpr files after receiving new logs.
  * piuparts-slave.py:
    - Generate separate tarball names for --merged-usr chroots.
    - Re-exec on SIGUSR1, picking up updated code and new config sections.
  * master-bin/detect_piuparts_issues:
    - Clean up stale temporary and empty files.
  * master-bin/rotate_master_logs: Delete master logs older than 90 days.
  * slave-bin/slave_reexec: New, send SIGUSR1 to all running slaves.
  * custom-scripts: Add and update several exceptions.
  * piuparts.conf.anbe: Add some more example sections.

  [ Holger Levsen ]
  * generate_daily_report: improve statistics.

 -- Holger Levsen <holger@debian.org>  Tue, 18 Jun 2019 14:48:59 +0200
