=== debian/control ===
Source: piuparts
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: piuparts developers team <piuparts-devel@alioth-lists.debian.net>
Uploaders:
 Holger Levsen <holger@debian.org>
Section: devel
Priority: optional
Standards-Version: 4.4.0
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 python3-all,
 python3-apt,
 python3-debian,
 python3-debianbts,
 python3-distro-info,
 python3-mox3,
 python3-nose,
 python3-six,
 python3-sphinx,
 python3-yaml,
 golang-any,
Build-Depends-Indep:
 git,
Homepage: https://piuparts.debian.org
Vcs-Git: https://salsa.debian.org/debian/piuparts.git
Vcs-Browser: https://salsa.debian.org/debian/piuparts
Xs-Go-Import-Path: salsa.debian.org/debian/piuparts

Package: piuparts
Architecture: all
Depends:
 piuparts-common (= ${binary:Version}),
# keep this list in sync with piuparts-slave-from-git-deps
 debootstrap (>= 1.0.89~),
 debsums (>= 2.2.2~),
 libjs-sphinxdoc,
 lsb-release,
 lsof,
 mount,
 python3-debian,
 ${python3:Depends},
 ${misc:Depends},
Recommends:
 adequate
Suggests:
 schroot,
 docker.io,
Description: .deb package installation, upgrading, and removal testing tool
 piuparts tests that .deb packages (as used by Debian) handle
 installation, upgrading, and removal correctly. It does this by
 creating a minimal Debian installation in a chroot, and installing,
 upgrading, and removing packages in that environment, and comparing the
 state of the directory tree before and after. piuparts reports any
 files that have been added, removed, or modified during this process.
 .
 piuparts is meant as a quality assurance tool for people who create .deb
 packages to test them before they upload them to the Debian package archive.

Package: piuparts-master
Architecture: any
Built-Using: ${misc:Built-Using}
Depends:
 piuparts-common (>= ${source:Version}),
 piuparts-common (<< ${source:Version}+),
# keep this list in sync with piuparts-master-from-git-deps
 adduser,
 openssh-server,
 python3-debianbts,
 python3-setproctitle,
 tango-icon-theme,
 xz-utils,
 python3-yaml,
 ${python3:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 apache2 | httpd,
 ghostscript,
 python3-rpy2,
 r-base-dev,
 r-recommended,
 devscripts,
 libsoap-lite-perl,
Description: piuparts master components
 piuparts is meant as a quality assurance tool for people who create .deb
 packages to test them before they upload them to the Debian package archive.
 A master/slave piuparts installation is used for testing complete archives
 as it is done on https://piuparts.debian.org/.
 .
 This package provides the piuparts-master, which needs one or more slaves to
 operate. It also contains piuparts-report to generate web pages with the
 testing results as well as documentation.

Package: piuparts-master-from-git-deps
Architecture: all
Depends:
 git,
# this list is synced from piuparts-master
 adduser,
 openssh-server,
 python3-debianbts,
 python3-setproctitle,
 tango-icon-theme,
 xz-utils,
 python3-yaml,
# selected packages from piuparts-master Recommends
 apache2 | httpd,
 python3-rpy2,
# this list is synced from piuparts-common
 python3-apt,
 python3-distro-info,
 ${misc:Depends},
 ${python3:Depends},
Description: dependencies for running piuparts master from git
 piuparts is meant as a quality assurance tool for people who create .deb
 packages to test them before they upload them to the Debian package archive.
 A master/slave piuparts installation is used for testing complete archives
 as it is done on https://piuparts.debian.org/.
 .
 This metapackage provides all the dependencies needed for running a
 piuparts-master instance (including piuparts-report etc.) from git.

Package: piuparts-slave
Architecture: all
Depends:
 piuparts (= ${binary:Version}),
 piuparts-common (= ${binary:Version}),
# keep this list in sync with piuparts-slave-from-git-deps
 adduser,
 openssh-client,
 screen,
 sudo,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 schroot
Description: piuparts slave components
 piuparts is meant as a quality assurance tool for people who create .deb
 packages to test them before they upload them to the Debian package archive.
 A master/slave piuparts installation is used for testing complete archives
 as it is done on https://piuparts.debian.org/.
 .
 This package provides the piuparts slave components, which need a piuparts
 master to operate. See the documentation in the piuparts-master package.

Package: piuparts-slave-from-git-deps
Architecture: all
Depends:
 git,
# this list is synced from piuparts-slave
 adduser,
 openssh-client,
 screen,
 sudo,
# this list is synced from piuparts
 debootstrap (>= 1.0.89~),
 debsums (>= 2.2.2~),
 libjs-sphinxdoc,
 lsb-release,
 lsof,
 mount,
 python3-debian,
# this list is synced from piuparts-common
 python3-apt,
 python3-distro-info,
 ${misc:Depends},
 ${python3:Depends},
Description: dependencies for running piuparts slave from git
 piuparts is meant as a quality assurance tool for people who create .deb
 packages to test them before they upload them to the Debian package archive.
 A master/slave piuparts installation is used for testing complete archives
 as it is done on https://piuparts.debian.org/.
 .
 This metapackage provides all the dependencies needed for running a
 piuparts-slave instance from git.

Package: piuparts-common
Architecture: all
Depends:
# keep this list in sync with piuparts-{master,slave}-from-git-deps
 python3-apt,
 python3-distro-info,
 python3-six,
 python3-urllib3,
 ${misc:Depends},
 ${python3:Depends},
Description: common piuparts components
 piupartslib, common library used by piuparts-master, -report, -analyze and
 -slave.
 .
 See https://piuparts.debian.org or the piuparts package to learn more about
 piuparts.
