## piuparts 1.1.1

=== debian/changelog ===
piuparts (1.1.1) unstable; urgency=medium

  * Team upload to unstuck python-debianbts migration.

  [ Nis Martensen ]
  * autopkgtest: replace broken stubs with actual tests.
  * Makefile: delete __pycache__ dirs in make clean.
  * piupartslib/dwke: do not error out on non-utf8 logfiles.

 -- Holger Levsen <holger@debian.org>  Tue, 14 Jan 2020 13:48:49 +0100

piuparts (1.1.0) unstable; urgency=medium

  * Team upload.

  [ Herbert Parentes Fortes Neto ]
  * piuparts.py: use Popen with universal_newlines=True. Py2, Py3 compatible.
  * New mail template: add bug-templates/obsolete_conffiles.mail.

  [ Thomas Goirand ]
  * Switch to package to Python 3:
    - Replaced python- with python3- in debian/control.
    - Removed all python2 (>= 2.7) by a ${python3:Depends}.
    - Replaced python2 by python3 in debian/rules.
    - Replaced dh_python2 stuff by dh_python3 in debian/rules.
    - Patched piupartslib/conf.py, piupartslib/dependencyparser.py,
      piupartslib/packagesdb.py, piupartslib/pkgsummary.py, tests/unittests.py
      so that they are Python 3 compatible.
    - Removed python-lzma (build-)depends as it's in standard in Py 3.
    - Add python3-six as (build-)depends.
    - Fix Makefile to use python3 and not python2.
    - d/piuparts-common.install: switch to python 3.
    - d/rules: remove all __pycache__ folder before proceeding to install.
    - Add --shebang=/usr/bin/python3 when calling dh_python3.
    - Do not use -N piuparts-master -N piuparts-slave when calling dh_python3
      for the 2nd time, so that it correctly adds the interpreter as depends.
    - Lintian overrides "python-script-but-no-python-dep": that's ok, because
      piuparts-common already has the dependency.

  [ Bastian Venthur ]
  * piuparts-analyze.py: updates for python-debianbts 2.10.0 deprecating
    some methodcalls, update depends in d/control accordingly.
    Closes: #919170.

  [ Nis Martensen ]
  * piuparts, piuparts-master-backend, piuparts-report,
    detect_well_known_errors, piupartslib/(dependencyparser|packagesdb):
    several fixes and improvements related to porting to python3.

  [ James Clarke ]
  * piuparts: Fix diff_meta_data reporting every file as new and removed.

  [ Mattia Rizzolo ]
  * piuparts-slave.py: port to python3.

  [ David Prévot ]
  * Use the same favicon as the one from www.d.o.

  [ Holger Levsen ]
  * Bump version number to 1.1.x due to the switch to python3.
  * piuparts.conf-template.pejacevic:
    - also test bullseye and bullseye-rcmd. Closes: #933061.
    - increase precedence values for oldstable and older.
  * docs/README_server.txt, docs/piuparts/piuparts.1.txt and piuparts.py:
    update examples for buster being stable and bullseye being the new
    testing.
  * Use /usr/bin/python3 everywhere. Closes: #937293.
  * d/control:
    - bump standards version to 4.4.1, no changes needed.
    - bump debhelper-compat to 12.
  * d/tests: Add simple smoke-test.
  * htdocs/news.tpl:
    - mention new suites bullseye and bullseye-rcmd being tested.
    - mention piuparts.debian.org is running the python3 branch.
    - add farewell note.
  * instances/Makefile: set default mirror to deb.debian.org.
  * d/rules: set GOCACHE to a safely writable directory during build as
    the cache is mandatory with Go 1.12.
  * d/control:
    - bump standards version to 4.4.1, no changes needed.
    - bump debhelper-compat to 12.
    - remove myself from uploaders. It was fun! Policy is your friend. Trust
      the Policy. Love the Policy. Obey the Policy.
  * instances/*, docs/README_pejacevic.txt and htdocs/index: stop mentioning
    piu-slave-bm-a.debian.org.

 -- Holger Levsen <holger@debian.org>  Wed, 08 Jan 2020 20:50:42 +0100
