=== debian/control ===
--- 
+++ 
@@ -1,19 +1,16 @@
 Source: piuparts
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: piuparts developers team <piuparts-devel@alioth-lists.debian.net>
-Uploaders:
- Holger Levsen <holger@debian.org>
+Maintainer: piuparts developers team <piuparts-devel@alioth-lists.debian.net>
 Section: devel
 Priority: optional
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Rules-Requires-Root: no
 Build-Depends:
- debhelper-compat (= 11),
+ debhelper-compat (= 12),
  dh-python,
  python3-all,
  python3-apt,
  python3-debian,
- python3-debianbts,
+ python3-debianbts (>= 2.10.0),
  python3-distro-info,
  python3-mox3,
  python3-nose,
@@ -67,7 +64,7 @@
 # keep this list in sync with piuparts-master-from-git-deps
  adduser,
  openssh-server,
- python3-debianbts,
+ python3-debianbts (>= 2.10.0),
  python3-setproctitle,
  tango-icon-theme,
  xz-utils,
@@ -100,7 +97,7 @@
 # this list is synced from piuparts-master
  adduser,
  openssh-server,
- python3-debianbts,
+ python3-debianbts (>= 2.10.0),
  python3-setproctitle,
  tango-icon-theme,
  xz-utils,
