=== debian/tests/control ===
Tests: smoke-test
Depends: @
Restrictions: needs-root
