## piuparts 1.1.2

=== debian/changelog ===
piuparts (1.1.2) unstable; urgency=medium

  * Team upload.

  [ Nis Martensen ]
  * piuparts.py:
    - prevent KeyError in diff_meta_data. (Closes: #968842)
    - do not crash on non-utf-8 command output.
  * piuparts-analyze: unbreak sorting of version lists.
  * autopkgtest: add a must-fail test.
  * d/p-[ms].lintian-overrides: update to python3/

  [ Nicolas Dandrimont ]
  * Add exemption for /var/lib/dpkg/cmethopt. (Closes: #953756)
  * piuparts-analyze:
    - print full exceptions when failing.
    - fetch all bugs in bulk instead of package by package.
    - only wait for 60 seconds when a given section is busy.
  * Add myself to uploaders.
  * d/rules: Add workaround for dh-dwz bug #933541.
  * Set Description last when generating a dummy package.
  * Start piuparts-slave automatically after reboots again.
  * Add piu-slave-conova-01.
  * Add news entry for piu-slave-conova-01.
  * Move piu-slave-ubc-01 to deb.d.o.

  [ Ansgar ]
  * piuparts-report.py: fix link to states.png.

  [ Stuart Prescott ]
  * Add timeout when fetching packages files.

  [ Julien Cristau ]
  * Make the summary generation atomic.

  [ Holger Levsen ]
  * Bump standards version to 4.5.1, no changes needed.

  [ Debian Janitor ]
  * Fix day-of-week for changelog entry 0.16-1.

 -- Holger Levsen <holger@debian.org>  Tue, 19 Jan 2021 16:17:25 +0100
