=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: piuparts
 Maintainer: piuparts developers team <piuparts-devel@alioth-lists.debian.net>
+Uploaders: Nicolas Dandrimont <olasd@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 12),
