## piuparts 1.1.3

=== debian/changelog ===
piuparts (1.1.3) unstable; urgency=medium

  [ Michael Prokop ]
  * p: new option --update-retries <num> to re-run apt-get update.
    (MR: debian/piuparts!34)

  [ Holger Levsen ]
  * d/control:
    - add adequate and pkg-config to piuparts-slave-from-git-deps' depends.
      Closes: #893022.
    - add myself back to uploaders.
  * d/copyright: update my copyright years.

  [ Debian Janitor ]
  * Upgrade to newer source format 3.0 (native).

 -- Holger Levsen <holger@debian.org>  Fri, 26 Feb 2021 18:51:48 +0100
