=== debian/changelog ===
piuparts (1.1.4) unstable; urgency=medium

  [ David Steele ]
  * Make a valid pkgsummary entry for an "invalid" pkg.
  * Remove Python2 support from pkgsummary.
  * Reformat pkgsummary.

  [ Andreas Beckmann ]
  * piuparts.conf, distros.conf:
    - Update for bullseye release.
    - Create bookworm tarballs.
    - Rename stretch-next to stretch-lts.
  * docs/README_server.txt, docs/piuparts/piuparts.1.txt, piuparts.py:
    Update examples for bullseye being stable and bookworm the new testing.
  * piuparts-slave.postinst: Do not fail if no sshd is available on
    localhost:22.
  * scripts/pre_distupgrade_zz_database-server: bullseye/sid has postgresql-13
    and mariadb-10.5.  (Closes: #988704)
  * Add myself to Uploaders.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 03 Aug 2021 13:18:44 +0200
