=== debian/rules ===
--- 
+++ 
@@ -17,3 +17,8 @@
 override_dh_python3:
 	dh_python3 -p piuparts-master -p piuparts-slave /usr/share/piuparts --shebang=/usr/bin/python3
 	dh_python3 -N piuparts-master -N piuparts-slave
+
+override_dh_dwz:
+	# Workaround for https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=933541
+	# (this workaround can be dropped with debhelper from buster-backports)
+	:
