## piuparts 1.1.5

=== instances/Makefile ===
--- 
+++ 
@@ -3,11 +3,11 @@
 
 ARCH_piu-slave-1und1-01		 = i386
 MIRROR_piu-slave-1und1-01	 = http://mirror.1und1.de/debian/
-MIRROR_piu-slave-ubc-01		 = http://mirror-ubc.debian.org/debian/
 
 GENCONF		 = piuparts.conf.pejacevic
 GENCONF		+= piuparts.conf.piu-slave-1und1-01
 GENCONF		+= piuparts.conf.piu-slave-ubc-01
+GENCONF		+= piuparts.conf.piu-slave-conova-01
 
 all: $(GENCONF)
