=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 #export DH_VERBOSE=1
 
 export GOCACHE := $(CURDIR)/.gocache
+export GO111MODULE := auto
 
 %:
 	dh $@ --with python3
