=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
  Holger Levsen <holger@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 12),
@@ -13,9 +13,8 @@
  python3-all,
  python3-apt,
  python3-debian,
- python3-debianbts (>= 2.10.0),
+ python3-debianbts,
  python3-distro-info,
- python3-mox3,
  python3-nose,
  python3-six,
  python3-sphinx,
@@ -26,22 +25,22 @@
 Homepage: https://piuparts.debian.org
 Vcs-Git: https://salsa.debian.org/debian/piuparts.git
 Vcs-Browser: https://salsa.debian.org/debian/piuparts
-Xs-Go-Import-Path: salsa.debian.org/debian/piuparts
+XS-Go-Import-Path: salsa.debian.org/debian/piuparts
 
 Package: piuparts
 Architecture: all
 Depends:
  piuparts-common (= ${binary:Version}),
 # keep this list in sync with piuparts-slave-from-git-deps
- debootstrap (>= 1.0.89~),
- debsums (>= 2.2.2~),
- libjs-sphinxdoc,
+ debootstrap,
+ debsums,
  lsb-release,
  lsof,
  mount,
  python3-debian,
  ${python3:Depends},
  ${misc:Depends},
+ ${sphinxdoc:Depends}
 Recommends:
  adequate
 Suggests:
@@ -67,7 +66,7 @@
 # keep this list in sync with piuparts-master-from-git-deps
  adduser,
  openssh-server,
- python3-debianbts (>= 2.10.0),
+ python3-debianbts,
  python3-setproctitle,
  tango-icon-theme,
  xz-utils,
@@ -100,7 +99,7 @@
 # this list is synced from piuparts-master
  adduser,
  openssh-server,
- python3-debianbts (>= 2.10.0),
+ python3-debianbts,
  python3-setproctitle,
  tango-icon-theme,
  xz-utils,
@@ -157,8 +156,8 @@
  screen,
  sudo,
 # this list is synced from piuparts
- debootstrap (>= 1.0.89~),
- debsums (>= 2.2.2~),
+ debootstrap,
+ debsums,
  libjs-sphinxdoc,
  lsb-release,
  lsof,
