## piuparts 1.4.3

=== Makefile ===
--- 
+++ 
@@ -11,12 +11,12 @@
 etcdir = $(prefix)/etc
 
 distribution=${shell dpkg-parsechangelog -SDistribution}
+version = ${shell dpkg-parsechangelog -SVersion}
 ifeq ($(distribution),UNRELEASED)
-version		:= ${shell echo "`dpkg-parsechangelog -SVersion`~`date +%Y%m%d%H%M`~`git describe --dirty`"}
-else
-version		:= ${shell dpkg-parsechangelog -SVersion}
+ifeq (,$(findstring salsaci,$(version)))
+version	= ${shell echo "`dpkg-parsechangelog -SVersion`~`date +%Y%m%d%H%M`~`git describe --dirty`"}
 endif
-
+endif
 
 # generate several scripts, conffiles, ... from templates (*.in, *.py)
 # by substituting placeholders
