=== debian/changelog ===
piuparts (1.4.3) unstable; urgency=medium

  [ Nicolas Dandrimont ]
  * Remove use of deprecated configparser.SafeConfigParser (Closes: #1067938)
  * Run autopkgtest on all supported Python versions
  * Add more tar ignore patterns to debian/source/options
  * d/t/all-python-versions: turn on the CPython dev mode
  * run(): ensure that fds are properly closed under all circumstances

  [ Jochen Sprickerhof ]
  * make piuparts.py executable from git

  [ Carlos Henrique Lima Melara ]
  * docs: fix some typos in README.txt (Closes: #1071621)

 -- Nicolas Dandrimont <olasd@debian.org>  Tue, 25 Jun 2024 16:07:49 +0200

piuparts (1.4.2) unstable; urgency=medium

  [ Helmut Grohne ]
  * also fix /bin/sync diversion for bullseye (Closes: #1068312)

  [ Nicolas Dandrimont ]
  * Disable build-path variation from salsa-ci reprotest

 -- Nicolas Dandrimont <olasd@debian.org>  Mon, 06 May 2024 22:52:39 +0200

piuparts (1.4.1) unstable; urgency=medium

  [ Nicolas Dandrimont ]
  * tests: Update unittest asserts to non-deprecated versions (Closes: #1061749)
  * gbp: only use the bare version for debian tags

  [ Helmut Grohne ]
  * also fix /bin/sync diversion for bookworm

 -- Nicolas Dandrimont <olasd@debian.org>  Sat, 23 Mar 2024 10:06:28 +0100

piuparts (1.4) unstable; urgency=medium

  [ Nicolas Dandrimont ]
  * Add grub-efi-*-signed to packages that need allow-remove-essential.
    (Closes: #1062192)
  * .gitlab-ci: Add reference to new salsaci wrap-and-sort job
  * *.py: apply newer black formatting
  * piuparts-from-git-deps: pkg-config is deprecated in favor of pkgconf

  [ Stefano Rivera ]
  * Explicitly set the mode on device nodes created by piuparts, overriding
    umask. (Closes: #1064842)

  [ Helmut Grohne ]
  * /bin/sync moved to /usr, duplicate diversion

 -- Nicolas Dandrimont <olasd@debian.org>  Fri, 15 Mar 2024 09:59:29 +0100

piuparts (1.3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Improvements for running piuparts in unprivileged namespaces:
    - improve compatibility of mount_proc with unprivileged namespaces.
    - make --bindmount recursive.
    - allow using --bindmount with things that are not directories.
    - provide a basic /dev tree even in unprivileged namespaces.
  * Allow using tarballs compressed with non-gzip.

  [ Nicolas Dandrimont ]
  * Codebase quality improvements:
    - Introduce Salsa CI pipeline.
    - Run black and isort on the codebase, introduce basic mypy config.
    - Make the codebase flake8-clean.
  * Remove dependency on python3-six (thanks to Alexandre Detiste for the
    suggestion and initial patch).
  * Pass the same environment variables to docker run as are passed to
    other chroots (thanks to Richard Davis for the suggestion and initial
    patch).

  [ Philipp Hahn ]
  * Improvements to the docker runner:
    - Get container id using --cidfile in docker run.
    - Use `docker inspect` to get the docker overlay path directly.
    - Improve log output.

 -- Nicolas Dandrimont <olasd@debian.org>  Sat, 13 Jan 2024 14:31:20 +0100

piuparts (1.2) unstable; urgency=medium

  [ David Steele ]
  * Doc - don't include oldoldstable in global summary

  [ Cyril Brulebois ]
  * piuparts(1): fix syntax for long options.
  * piuparts(1): fix syntax for bullet lists.

  [ Nicolas Dandrimont ]
  * piuparts(1): fix a lot of ReStructuredText markup issues
  * config: bookworm has been released, trixie is now testing
  * news: Add news for bookworm release
  * Default to merged-/usr chroots (Closes: #1054898)
  * p.conf: the merged-/usr file move moratorium has been repealed
  * p.conf: add --no-merged-usr to config for archived suites
  * p.conf: don't schedule jobs for the sid-merged-usr suite
  * p.conf: clean up the sid-merged-usr tarball
  * custom-scripts: usrmerge and usr-is-merged should be testable now
  * p.conf: Don't reschedule tests for archived suites
  * p.conf: clean up tarball jobs for archived suites
  * p.conf: set max-reserved to 0 for archived suites
  * news: fix date for bookworm news item
  * news: add item for merging test chroots
  * d/source: Update lintian overrides
  * d/control: Update to dh compat level 13

  [ Evgeni Golov ]
  * explicitly state that piuparts needs direct access to docker storage

 -- Nicolas Dandrimont <olasd@debian.org>  Sat, 28 Oct 2023 23:17:21 +0200
