=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-apt,
@@ -16,7 +16,6 @@
  python3-debianbts,
  python3-distro-info,
  python3-nose,
- python3-six,
  python3-sphinx,
  python3-yaml,
  golang-any,
@@ -149,7 +148,7 @@
 Depends:
  adequate,
  git,
- pkg-config,
+ pkgconf,
 # this list is synced from piuparts-slave
  adduser,
  openssh-client,
@@ -183,7 +182,6 @@
 # keep this list in sync with piuparts-{master,slave}-from-git-deps
  python3-apt,
  python3-distro-info,
- python3-six,
  python3-urllib3,
  ${misc:Depends},
  ${python3:Depends},
