=== debian/tests/control ===
Tests: smoke-test
Depends: piuparts
Restrictions: needs-root

Tests: all-python-versions
Depends: piuparts, python3-all
Restrictions: needs-root
